# Boxes Project

This repository contains two main components:
1. boxes-api: The backend API
2. boxes-fe: The frontend application

## Getting Started

### Prerequisites

- Docker
- Docker Compose

### Configuration

Before running the project, you need to configure the API:

1. Navigate to the `boxes-api/config/` directory.
2. Open the `config.yaml` file.
3. Modify the configuration settings as needed for your environment.

### Running the Project

To start both the API and frontend services:

1. Open a terminal in the root directory of this repository.
2. Run the following command:

   ```
   docker-compose up --build
   ```

   This command will build the Docker images (if needed) and start the containers.

3. Wait for the services to start up. You should see logs from both the API and frontend in the terminal.

4. Once everything is running, you can access the application through your web browser.

## Additional Information

For more detailed information about each component, please refer to the individual README files in the `boxes-api` and `boxes-fe` directories.

## Troubleshooting

If you encounter any issues, please check the following:
- Ensure all required ports are available and not in use by other applications.
- Verify that the `config.yaml` file is properly configured.
- Check the Docker logs for any error messages.
